/// <reference types="vite/client" />

declare interface AxiosResponse {
  code: number,
  msg: string
}

declare interface FileType {
  fid: number
  fileName: string,
  fileOriginalName: string,
  fileSize: number
  fileUrl:string,
  id:number,
  moduleName: string

}

declare interface pageAxiosResponse {
  pageNo: number,
  pageSize: number,
  totalPage:number,
  totalSize: number
}

declare interface PageResponse{
  countId:any,
  current:number,
  maxLimit:any,
  optimizeCountSql: boolean,
  orders:any,
  pages: number,
  searchCount: boolean,
  size:number,
  total: number
}

declare interface SliderVerify{
  imageKey?:string,
  imageCode?:number
}